| Home | Libraries | People | FAQ | More

##### static_url_base::reserve

(Inherited from `url_base`)

Adjust the capacity without changing the size.

###### Synopsis

    void
    reserve(
        std::size_t n);

###### Description

This function adjusts the capacity of the container in characters, without affecting the current contents. Has no effect if `n <= this->capacity()`.

###### Exception Safety

Strong guarantee. Calls to allocate may throw.

###### Exceptions

Type | Thrown On
--- | ---
`bad_alloc` | Allocation failure

###### Parameters

Name | Description
--- | ---
`n` | The capacity in characters, excluding any null terminator.